diff --git a/src/bin/initdb/initdb.c b/src/bin/initdb/initdb.c
index c66467eb95..905b979947 100644
--- a/src/bin/initdb/initdb.c
+++ b/src/bin/initdb/initdb.c
@@ -3350,7 +3350,7 @@ main(int argc, char *argv[])
 	check_need_password(authmethodlocal, authmethodhost);
 
 	if (!IsValidWalSegSize(wal_segment_size_mb * 1024 * 1024))
-		pg_fatal("argument of %s must be a power of 2 between 1 and 1024", "--wal-segsize");
+		pg_fatal("argument of %s must be a power of two between 1 and 1024", "--wal-segsize");
 
 	get_restricted_token();
 
diff --git a/src/bin/pg_resetwal/pg_resetwal.c b/src/bin/pg_resetwal/pg_resetwal.c
index 9bebc2a995..25ecdaaa15 100644
--- a/src/bin/pg_resetwal/pg_resetwal.c
+++ b/src/bin/pg_resetwal/pg_resetwal.c
@@ -298,7 +298,7 @@ main(int argc, char *argv[])
 						exit(1);
 					set_wal_segsize = wal_segsize_mb * 1024 * 1024;
 					if (!IsValidWalSegSize(set_wal_segsize))
-						pg_fatal("argument of %s must be a power of 2 between 1 and 1024", "--wal-segsize");
+						pg_fatal("argument of %s must be a power of two between 1 and 1024", "--wal-segsize");
 					break;
 				}
 
